---
sidebar_label: Process
---

# Process class

#### Signature:

```typescript
export declare class Process
```

## Constructors

| Constructor                                                | Modifiers | Description                                                 |
| ---------------------------------------------------------- | --------- | ----------------------------------------------------------- |
| [(constructor)(opts)](./browsers.process._constructor_.md) |           | Constructs a new instance of the <code>Process</code> class |

## Properties

| Property    | Modifiers             | Type                      | Description |
| ----------- | --------------------- | ------------------------- | ----------- |
| nodeProcess | <code>readonly</code> | childProcess.ChildProcess |             |

## Methods

| Method                                                                       | Modifiers | Description |
| ---------------------------------------------------------------------------- | --------- | ----------- |
| [close()](./browsers.process.close.md)                                       |           |             |
| [hasClosed()](./browsers.process.hasclosed.md)                               |           |             |
| [kill()](./browsers.process.kill.md)                                         |           |             |
| [waitForLineOutput(regex, timeout)](./browsers.process.waitforlineoutput.md) |           |             |
